

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_rol_contacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_rol_contacto]
GO
CREATE PROCEDURE [reg_pro_rol_contacto]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[rol_contacto] AS [rol_contacto],
		[id_rol] AS [id_rol],
		[id_contacto] AS [id_contacto]
	FROM [pro_rol_contacto]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_pro_rol_contacto]')) DROP VIEW [dbo].[view_pro_rol_contacto]
GO
CREATE  VIEW [view_pro_rol_contacto] AS
SELECT 	[pro_rol_contacto].[id] AS [id],
		[pro_rol_contacto].[uid] AS [uid],
		[pro_rol_contacto].[eid] AS [eid],
		[pro_rol_contacto].[id_usuario_modifico] AS [id_usuario_modifico],
		[pro_rol_contacto].[id_usuario_creo] AS [id_usuario_creo],
		[pro_rol_contacto].[fechaModificacion] AS [fechaModificacion],
		[pro_rol_contacto].[fechaCreacion] AS [fechaCreacion],
		[pro_rol_contacto].[active] AS [active],
		[pro_rol_contacto].[rol_contacto] AS [rol_contacto],
		[pro_rol_contacto].[id_rol] AS [id_rol],
[pro_rol].[rol] as [pro_rol_rol],
[pro_rol].[rol_codigo] as [pro_rol_rol_codigo],
		[pro_rol_contacto].[id_contacto] AS [id_contacto],
[ter_contacto].[contacto] as [ter_contacto_contacto],
[ter_contacto].[contacto_codigo] as [ter_contacto_contacto_codigo],
[ter_contacto].[telefono] as [ter_contacto_telefono],
[ter_contacto].[Fax] as [ter_contacto_Fax],
[ter_contacto].[Email] as [ter_contacto_Email],
[ter_contacto].[Direccion] as [ter_contacto_Direccion],
[ter_contacto].[telefonoMovil] as [ter_contacto_telefonoMovil],
[ter_contacto].[id_tercero] as [ter_contacto_id_tercero],
[ter_contacto].[id_usuario] as [ter_contacto_id_usuario],
[ter_contacto].[cargo] as [ter_contacto_cargo],
[ter_contacto].[codigoAcceso] as [ter_contacto_codigoAcceso],
[ter_contacto].[id_cargoContacto] as [ter_contacto_id_cargoContacto],
[ter_contacto].[accesoActivo] as [ter_contacto_accesoActivo],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [pro_rol_contacto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_rol_contacto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_rol_contacto].[id_usuario_creo]
	INNER JOIN [pro_rol] ON [pro_rol].id=[pro_rol_contacto].[id_rol]
	INNER JOIN [ter_contacto] ON [ter_contacto].id=[pro_rol_contacto].[id_contacto]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [pro_rol_contacto].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXusuario_modifico]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_rol_contacto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXusuario_creo]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_rol_contacto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXrol]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXrol]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXrol]
	@p_id_rol INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_rol_contacto]
	WHERE ([id_rol]= @p_id_rol)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXcontacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXcontacto]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXcontacto]
	@p_id_contacto INT
AS
BEGIN
	SELECT * 
	FROM [view_pro_rol_contacto]
	WHERE ([id_contacto]= @p_id_contacto)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactos]
GO
CREATE PROCEDURE [sel_pro_rol_contactos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_rol_contacto]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_rol_contactos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_rol_contactos]
GO
CREATE PROCEDURE [lis_pro_rol_contactos]
	AS
BEGIN
	SELECT id AS id,
[rol_contacto] AS [pro_rol_contacto]
	FROM [pro_rol_contacto]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_pro_rol_contacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_pro_rol_contacto]
GO
CREATE PROCEDURE [upd_pro_rol_contacto]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_rol_contacto varchar(300) = null,
		@p_id_rol int = null,
		@p_id_contacto int = null
AS
BEGIN
		UPDATE [pro_rol_contacto]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[rol_contacto] = isnull(@p_rol_contacto,[rol_contacto]),
			[id_rol] = isnull(@p_id_rol,[id_rol]),
			[id_contacto] = isnull(@p_id_contacto,[id_contacto])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_pro_rol_contacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_pro_rol_contacto]
GO
CREATE PROCEDURE [ins_pro_rol_contacto]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_rol_contacto varchar(300),
		@p_id_rol int,
		@p_id_contacto int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [pro_rol_contacto]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[rol_contacto],
			[id_rol],
			[id_contacto])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_rol_contacto,
			@p_id_rol,
			@p_id_contacto)
		SET @v_id = scope_identity()
UPDATE [pro_rol_contacto] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_pro_rol_contacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_pro_rol_contacto]
GO
CREATE PROCEDURE [act_pro_rol_contacto]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [pro_rol_contacto]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_pro_rol_contacto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_pro_rol_contacto_m]
GO
CREATE PROCEDURE [reg_pro_rol_contacto_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[rol_contacto] AS [rol_contacto],
		[id_rol] AS [id_rol],
		[id_contacto] AS [id_contacto]
	FROM [pro_rol_contacto]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_rol_contacto]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_rol_contacto]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXrol_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXrol_m]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXrol_m]
	@p_id_rol INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_rol_contacto]
	WHERE ([id_rol]= @p_id_rol)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactosXcontacto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactosXcontacto_m]
GO
CREATE PROCEDURE [sel_pro_rol_contactosXcontacto_m]
	@p_id_contacto INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_pro_rol_contacto]
	WHERE ([id_contacto]= @p_id_contacto)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_pro_rol_contactos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_pro_rol_contactos_m]
GO
CREATE PROCEDURE [sel_pro_rol_contactos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_pro_rol_contacto]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_pro_rol_contactos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_pro_rol_contactos_m]
GO
CREATE PROCEDURE [lis_pro_rol_contactos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[rol_contacto] AS [pro_rol_contacto]
	FROM [pro_rol_contacto]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_pro_rol_contacto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_pro_rol_contacto]
GO
CREATE PROCEDURE [aud_pro_rol_contacto]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [pro_rol_contacto].id as id_tabla,
	[pro_rol_contacto].id_usuario_modifico as id_usuario_modifico,
	[pro_rol_contacto].id_usuario_creo as id_usuario_creo,
	[pro_rol_contacto].fechaModificacion as fechaModificacion,
	[pro_rol_contacto].fechaCreacion as fechaCreacion,
	[pro_rol_contacto].active as active,
	[pro_rol_contacto].[rol_contacto] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [pro_rol_contacto]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[pro_rol_contacto].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[pro_rol_contacto].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'pro_rol_contacto'
-----------------------------------09/07/2015 8:23:22